{% macro starsRate(fullStars, emptyStars, cssClass = "") %}
    <span class="text-warning {{ cssClass }} ">
        {% if fullStars >= 1 %}
            {% for i in 1..fullStars %}
                <i class="bi bi-star-fill"></i>
            {% endfor %}
        {% endif %}
        {% if fullStars + emptyStars < 5 %}
            <i class="bi bi-star-half"></i>
        {% endif %}
        {% if emptyStars >= 1 %}
            {% for i in 1..emptyStars %}
                <i class="bi bi-star"></i>
            {% endfor %}
        {% endif %}
    </span>
{% endmacro %}
